Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 493900 - >=net-fs/samba-4.x cups useflage don't depends on net-print/cups
Summary: >=net-fs/samba-4.x cups useflage don't depends on net-print/cups
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: samba-4
  Show dependency tree
 
Reported: 2013-12-11 03:50 UTC by Chan Min Wai
Modified: 2013-12-11 07:15 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chan Min Wai 2013-12-11 03:50:28 UTC
Emerge --depclean had removed net-print/cups but I rebuild samba-4 with (internal heimdal removed)  cups useflag was still enable
Hoping to see if net-print/cups will be re-emerge.

But it was not.

It seem that net-print/cups was not in the dependency.
is that normal?


Reproducible: Always
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2013-12-11 07:15:38 UTC
+  11 Dec 2013; Lars Wendler <polynomial-c@gentoo.org> samba-4.0.12.ebuild,
+  samba-4.0.13.ebuild, samba-4.1.2.ebuild, samba-4.1.3.ebuild:
+  Depend on cups when we build with cups USE flag being enabled. Thanks to Chan
+  Min Wai for reporting this in bug #493900.
+